import 'package:ampos_flutter_ui_library/style/ampos_style.dart';
import 'package:flutter/widgets.dart';


class TextWidget extends Container {
  TextWidget({
    @required String data,
    double size,
    FontWeight weight,
    Color color = AmposColors.outerSpace,
    EdgeInsets margin = const EdgeInsets.all(0),
    EdgeInsets padding = const EdgeInsets.all(0),
  }) : super(
      margin: margin,
      padding: padding,
      child: Text(
        data,
        style: TextStyle(
          fontSize: size,
          color: color,
          fontWeight: weight,
        ),
      ));
}
